=== debian/control ===
Source: ros-jazzy-dataspeed-can-tools
Section: misc
Priority: optional
Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-can-msgs, ros-jazzy-dataspeed-can-msgs, ros-jazzy-rclcpp, ros-jazzy-rosbag2-cpp, ros-jazzy-std-msgs, ros-jazzy-ros-workspace
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-jazzy-dataspeed-can-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-can-msgs, ros-jazzy-dataspeed-can-msgs, ros-jazzy-rclcpp, ros-jazzy-rosbag2-cpp, ros-jazzy-std-msgs, ros-jazzy-ros-workspace
Description: CAN bus introspection
